Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.om.security
Interface Group

All Superinterfaces:
  SecurityEntity, Serializable

All Known Implementing Classes:
  TorqueGroup, TurbineGroup

    public interface Group

extends SecurityEntity, Serializable

This class represents a Group of Users in the system that are associated with specific entity or resource. The users belonging to the Group may have various Roles. The Permissions to perform actions upon the resource depend on the Roles in the Group that they are assigned.

Version:
  $Id: Group.java 957284 2010-06-23 17:53:31Z tv $
Author:
  Rafal Krzewski, Henning P. Schmiedehausen

Field Summary
`static String` | `GLOBAL_GROUP_NAME` The name of the global group

Method Summary
`void` | `grant(User user, Role role)` Grants a Role in this Group to an User.
`void` | `grant(User user, RoleSet roleSet)` Grants Roles in this Group to an User.
`void` | `remove()` Removes a group from the system.
`void` | `rename(String name)` Renames the role.
`void` | `revoke(User user, Role role)` Revokes a Role in this Group from an User.
`void` | `revoke(User user, RoleSet roleSet)` Revokes Roles in this group from an User.
`void` | `save()` Makes changes made to the Group attributes permanent.

Methods inherited from interface org.apache.turbine.om.security.SecurityEntity
`getId, getIdAsObj, getName, setId, setName`

Field Detail

### GLOBAL_GROUP_NAME

    static final String GLOBAL_GROUP_NAME

  The name of the global group

  See Also:
    Constant Field Values

Method Detail

### save

    void save()
              throws TurbineSecurityException

  Makes changes made to the Group attributes permanent.

  Throws:
    `TurbineSecurityException` - if there is a problem while saving data.

### remove

    void remove()
                throws TurbineSecurityException

  Removes a group from the system.

  Throws:
    `TurbineSecurityException` - if the Group could not be removed.

### rename

    void rename(String name)
                throws TurbineSecurityException

  Renames the role.

  Parameters:
    `name` - The new Group name.
  Throws:
    `TurbineSecurityException` - if the Group could not be renamed.

### grant

    void grant(User user,
               Role role)
               throws TurbineSecurityException

  Grants a Role in this Group to an User.

  Parameters:
    `user` - An User.
    `role` - A Role.
  Throws:
    `TurbineSecurityException` - if there is a problem while assigning the Role.

### grant

    void grant(User user,
               RoleSet roleSet)
               throws TurbineSecurityException

  Grants Roles in this Group to an User.

  Parameters:
    `user` - An User.
    `roleSet` - A RoleSet.
  Throws:
    `TurbineSecurityException` - if there is a problem while assigning the Roles.

### revoke

    void revoke(User user,
                Role role)
                throws TurbineSecurityException

  Revokes a Role in this Group from an User.

  Parameters:
    `user` - An User.
    `role` - A Role.
  Throws:
    `TurbineSecurityException` - if there is a problem while unassigning the Role.

### revoke

    void revoke(User user,
                RoleSet roleSet)
                throws TurbineSecurityException

  Revokes Roles in this group from an User.

  Parameters:
    `user` - An User.
    `roleSet` - a RoleSet.
  Throws:
    `TurbineSecurityException` - if there is a problem while unassigning the Roles.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.